summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/posix_compliance/posix_compliance_run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/posix_compliance/posix_compliance_run.sh')
-rwxr-xr-xsanity/system_light/scripts/posix_compliance/posix_compliance_run.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/posix_compliance/posix_compliance_run.sh b/sanity/system_light/scripts/posix_compliance/posix_compliance_run.sh
new file mode 100755
index 0000000..c1301ff
--- /dev/null
+++ b/sanity/system_light/scripts/posix_compliance/posix_compliance_run.sh
@@ -0,0 +1,19 @@
+#! /bin/bash
+
+function main ()
+{
+ echo "start: `date +%T`";
+ time prove -r $DIR/tests "$@" | tee -a /tmp/posix 2>/dev/null 1>/dev/null;
+ cat /tmp/posix && sleep 2;
+ grep FAILED /tmp/posix 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "end: `date +%T`";
+ return 0;
+ else
+ echo "end: `date +%T`";
+ return 1;
+ fi
+}
+
+main "$@" \ No newline at end of file